Finalize detection alert migrations

Base URL
https://{kibana_url}
  • POST /api/detection_engine/signals/finalize_migration
  • POST /s/{space_id}/api/detection_engine/signals/finalize_migration
Auth Deprecated

Finalize successful migrations of detection alerts. This replaces the original index's alias with the successfully migrated index's alias. The endpoint is idempotent; therefore, it can safely be used to poll a given migration and, upon completion, finalize it.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Request body

Array of migration_ids to finalize

migration_ids string[] · min items: 1 required

Responses

Successful response

application/json
<array> object[]
completed boolean required
destinationIndex string required
error object
message string required
status_code integer required
id string required
sourceIndex string required
status enum required
Values: success failure pending
updated string · format: date-time required
version string required

Invalid input data response

application/json
One of:
error string required
message string required
statusCode integer required

Unsuccessful authentication response

application/json
error string required
message string required
statusCode integer required

Internal server error response

application/json
message string required
status_code integer required
Base URL
https://{kibana_url}